<?php

namespace App\Http\Routes;

use Illuminate\Contracts\Routing\Registrar;

class ManageRoute
{
    public function map(Registrar $router)
    {
        $router->group([
            'prefix' => 'manage'
        ], function ($router) {
            // Auth
            $router->get('/getUrl', 'Client\\ManageController@getUrl');
            $router->post('/auth/register', 'Client\\ManageController@register');
            $router->post('/auth/login', 'Client\\ManageController@login');
            $router->get('/plan/fetch', 'Client\\ManageController@fetch');

            $router->post('/app/getVersion', 'Client\\ManageController@getVersion');
            $router->post('/auth/getQuickLoginUrl', 'Client\\ManageController@getQuickLoginUrl');


        });

        $router->group([
            'prefix' => 'manager',
//            'middleware' => 'manage'
        ], function ($router) {
            $router->get ('/getSubscribe', 'Client\\ManageController@getSubscribe');
            $router->get ('/server/fetch', 'Client\\ManageController@server');
        });
    }
}
